Novell eDirectory < 8.8 SP6 Patch 5 Multiple Vulnerabilities

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The remote directory service is affected by multiple vulnerabilities.

Description :

The remote host is running eDirectory, a directory service application
from Novell. According to its self-reported version number, this
software is affected by multiple stack-based buffer overflow and memory
corruption vulnerabilities. A remote, unauthenticated attacker could
exploit the most severe of these vulnerabilities to execute arbitrary
code.

See also :

http://www.nessus.org/u?81dcddd7
http://zerodayinitiative.com/advisories/ZDI-12-146/
http://www.novell.com/support/kb/doc.php?id=7009947
http://download.novell.com/Download?buildid=bqt3K-sXJEs~
http://www.novell.com/support/kb/doc.php?id=3426981

Solution :

Upgrade to eDirectory 8.8 SP6 Patch 5 or later.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.3
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: Misc.

Nessus Plugin ID: 61709 ()

Bugtraq ID: 40480
55157

CVE ID: CVE-2010-1929